Debian Bug report logs - #378544
Undefined macros in manpages

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Thomas Huriaux <thomas.huriaux@gmail.com>

Date: Mon, 17 Jul 2006 10:18:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/2.34-1

Fixed in version manpages/2.37-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378544; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Huriaux <thomas.huriaux@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Undefined macros in manpages
Date: Mon, 17 Jul 2006 11:48:14 +0200
[Message part 1 (text/plain, inline)]
Package: manpages
Version: 2.34-1
Severity: minor

Hi,

Here is the list of some problems found with `groff -Tascii -wmac -mman
$file` and the comments. Most of the problems result in a missing line.
It sometimes seems to be wanted (macro .nl for example), but would be
better with a known macro (to ease the gettextization for example).
However, sometimes there is a real problem that should be fixed.


>./man2/shmget.2:132: warning: `Br' not defined

results: incomple sentence
fix: .BR instead of .Br


>./man3/isalpha.3:39: warning: `nl' not defined
>./man3/basename.3:30: warning: `nl' not defined
>./man3/confstr.3:37: warning: `nl' not defined
>./man3/fpathconf.3:32: warning: `nl' not defined
>./man3/gets.3:33: warning: `nl' not defined
>./man3/getw.3:31: warning: `nl' not defined
>./man3/glob.3:36: warning: `nl' not defined
>./man3/posix_fallocate.3:32: warning: `nl' not defined
>./man3/puts.3:32: warning: `nl' not defined
>./man3/random.3:39: warning: `nl' not defined
>./man3/getline.3:33: warning: `nl' not defined 
>./man3/malloc.3:35: warning: `nl' not defined
>./man3/posix_memalign.3:40: warning: `nl' not defined 
>./man3/toupper.3:33: warning: `nl' not defined

results: ok
fix: .br instead of .nl


>./man3/getloadavg.3:37: warning: `Fd' not defined

results: line dismissed
fix: .B instead of .Fd


>./man3/rpc.3:79: warning: `UX' not defined

results: ok
fix: should be removed


>./man5/utmp.5:206: warning: `SP' not defined

results: ok
fix: .sp instead of .SP


>./man7/capabilities.7:272: warning: `IT' not defined

results: line dismissed
fix: .IR instead of .IT


>./man7/uri.7:229: warning: `UR' not defined

results: line dismissed
fix: .IR instead of .UR, and should probably be rephrased.


>./man7/uri.7:231: warning: `UE' not defined

results: ok
fix: should be removed


And another problem not detected by this command but found while
gettextizing the pages with po4a:
* man2/remap_file_pages.2:47
    \fB1.\fp should be \fB1.\fP
* man2/remap_file_pages.2:54
    \fB2.\fp should be \fB2.\fP

Cheers,

-- 
Thomas Huriaux
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378544; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 378544@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Thomas Huriaux <thomas.huriaux@gmail.com>, 378544@bugs.debian.org
Subject: Re: Bug#378544: Undefined macros in manpages
Date: Tue, 18 Jul 2006 16:22:03 -0400
On Mon, Jul 17, 2006 at 11:48:14AM +0200, Thomas Huriaux wrote:
> Package: manpages
> Version: 2.34-1
> Severity: minor
> 
> Hi,
> 
> Here is the list of some problems found with `groff -Tascii -wmac -mman
Is this any better of a check than lintian's
manpage-has-errors-from-man?

Thanks
Justin

References

[0] http://lintian.debian.org/reports/Tmanpage-has-errors-from-man.html



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378544; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 378544@bugs.debian.org (full text, mbox):

From: Thomas Huriaux <thomas.huriaux@gmail.com>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 378544@bugs.debian.org
Subject: Re: Bug#378544: Undefined macros in manpages
Date: Wed, 19 Jul 2006 00:12:25 +0200
[Message part 1 (text/plain, inline)]
Justin Pryzby <justinpryzby@users.sourceforge.net> (18/07/2006):
> On Mon, Jul 17, 2006 at 11:48:14AM +0200, Thomas Huriaux wrote:
> > Here is the list of some problems found with `groff -Tascii -wmac -mman
> Is this any better of a check than lintian's
> manpage-has-errors-from-man?

lintian uses `man -l`, which does not report undefined macros. See
#377392 for further details.


-- 
Thomas Huriaux
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378544; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 378544@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Thomas Huriaux <thomas.huriaux@gmail.com>, 378544@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#378544: Undefined macros in manpages
Date: Thu, 20 Jul 2006 18:10:10 +0200
tags 378544 fixed-upstream
thanks

Thomas,

Thanks for your report.  Fixes, as described below, will appear in upstream
2.37.

> Here is the list of some problems found with `groff -Tascii -wmac -mman
> $file` and the comments. Most of the problems result in a missing line.
> It sometimes seems to be wanted (macro .nl for example), but would be
> better with a known macro (to ease the gettextization for example).
> However, sometimes there is a real problem that should be fixed.

Thanks for doing this.

>> ./man2/shmget.2:132: warning: `Br' not defined
> 
> results: incomple sentence
> fix: .BR instead of .Br

Fixed.

>> ./man3/isalpha.3:39: warning: `nl' not defined
>> ./man3/basename.3:30: warning: `nl' not defined
>> ./man3/confstr.3:37: warning: `nl' not defined
>> ./man3/fpathconf.3:32: warning: `nl' not defined
>> ./man3/gets.3:33: warning: `nl' not defined
>> ./man3/getw.3:31: warning: `nl' not defined
>> ./man3/glob.3:36: warning: `nl' not defined
>> ./man3/posix_fallocate.3:32: warning: `nl' not defined
>> ./man3/puts.3:32: warning: `nl' not defined
>> ./man3/random.3:39: warning: `nl' not defined
>> ./man3/getline.3:33: warning: `nl' not defined 
>> ./man3/malloc.3:35: warning: `nl' not defined
>> ./man3/posix_memalign.3:40: warning: `nl' not defined 
>> ./man3/toupper.3:33: warning: `nl' not defined
> 
> results: ok
> fix: .br instead of .nl

Done.

>> ./man3/getloadavg.3:37: warning: `Fd' not defined
> 
> results: line dismissed
> fix: .B instead of .Fd

Not correct; no change.  (Is the Debian page different from my upstream,
perhaps?)

>> ./man3/rpc.3:79: warning: `UX' not defined
> 
> results: ok
> fix: should be removed

Done.

>> ./man5/utmp.5:206: warning: `SP' not defined
> 
> results: ok
> fix: .sp instead of .SP

Done.

>> ./man7/capabilities.7:272: warning: `IT' not defined
> 
> results: line dismissed
> fix: .IR instead of .IT

Done.

>> ./man7/uri.7:229: warning: `UR' not defined
> 
> results: line dismissed
> fix: .IR instead of .UR, and should probably be rephrased.

Done.

>> ./man7/uri.7:231: warning: `UE' not defined
> 
> results: ok
> fix: should be removed

Done.

> And another problem not detected by this command but found while
> gettextizing the pages with po4a:
> * man2/remap_file_pages.2:47
>     \fB1.\fp should be \fB1.\fP
> * man2/remap_file_pages.2:54
>     \fB2.\fp should be \fB2.\fP

Done.

Thanks again Thomas.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/,
read the HOWTOHELP file and grep the source files for 'FIXME'.




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378544; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #27 received at 378544@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Michael Kerrisk <mtk-manpages@gmx.net>, 378544@bugs.debian.org
Cc: Thomas Huriaux <thomas.huriaux@gmail.com>, joey@debian.org
Subject: Re: Bug#378544: Undefined macros in manpages
Date: Thu, 27 Jul 2006 10:22:22 -0400
On Thu, Jul 20, 2006 at 06:10:10PM +0200, Michael Kerrisk wrote:
> tags 378544 fixed-upstream
> thanks
> 
> Thomas,
> 
> Thanks for your report.  Fixes, as described below, will appear in upstream
> 2.37.
> 
> > results: line dismissed
> > fix: .B instead of .Fd
> 
> Not correct; no change.  (Is the Debian page different from my upstream,
> perhaps?)
Indeed it is:
  http://ftp.debian.org/debian/pool/main/m/manpages/manpages_2.36-1.diff.gz
and 
+  * Converted getloadavg(3) to GNU/Linux style

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#378544; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #32 received at 378544@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: Michael Kerrisk <mtk-manpages@gmx.net>, 378544@bugs.debian.org, Thomas Huriaux <thomas.huriaux@gmail.com>
Subject: Re: Bug#378544: Undefined macros in manpages
Date: Thu, 27 Jul 2006 17:27:03 +0200
Justin Pryzby wrote:
> > Thanks for your report.  Fixes, as described below, will appear in upstream
> > 2.37.

Cool!

> > > results: line dismissed
> > > fix: .B instead of .Fd
> > 
> > Not correct; no change.  (Is the Debian page different from my upstream,
> > perhaps?)
> Indeed it is:
>   http://ftp.debian.org/debian/pool/main/m/manpages/manpages_2.36-1.diff.gz
> and 
> +  * Converted getloadavg(3) to GNU/Linux style

Corrected in Debian.

Regards,

	Joey

-- 
It's time to close the windows.

Please always Cc to me when replying to me on the lists.



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 378544-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 378544-close@bugs.debian.org
Subject: Bug#378544: fixed in manpages 2.37-1
Date: Wed, 09 Aug 2006 08:17:10 -0700
Source: manpages
Source-Version: 2.37-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.37-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.37-1_all.deb
manpages_2.37-1.diff.gz
  to pool/main/m/manpages/manpages_2.37-1.diff.gz
manpages_2.37-1.dsc
  to pool/main/m/manpages/manpages_2.37-1.dsc
manpages_2.37-1_all.deb
  to pool/main/m/manpages/manpages_2.37-1_all.deb
manpages_2.37.orig.tar.gz
  to pool/main/m/manpages/manpages_2.37.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 378544@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  9 Aug 2006 17:00:38 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.37-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 378544 379297
Changes: 
 manpages (2.37-1) unstable; urgency=low
 .
   * New upstream version
     . Various formatting fixes (closes: Bug#378544)
     . Add text noting that effective IDs are copied to saved set-IDs
       during execve(2) (closes:  Bug#379297)
Files: 
 d8473fcd55f7f5f2386d24fa16a10237 584 doc - manpages_2.37-1.dsc
 ed53c204bdcd4878ac878ddb07069322 1192989 doc - manpages_2.37.orig.tar.gz
 bf3e9a249cc8eabe9a5e84f65683e6be 54619 doc - manpages_2.37-1.diff.gz
 2dea063860179a548e4ac3f8e914b42d 481640 doc important manpages_2.37-1_all.deb
 c10f692b2cfd3d29b286d26ed30e8964 1218048 doc standard manpages-dev_2.37-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE2ft+W5ql+IAeqTIRAmsnAJ9F5NtaBROE+UOX3Q3wL/TPlNFccQCfVV/A
U4gQlcodEBOK3ZE4Aak5Pkw=
=SreP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 10:29:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:57:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.